قد يبدأ أندرويد قريبًا في تحذير المستخدمين عند تشغيل تطبيقات 32 بت

على الرغم من أن جوجل تبذل جهودًا لإسقاط دعم تطبيقات 32 بت على أندرويد خلال السنوات القليلة الماضية ، فقد لا يزال هناك بعض الوقت قبل أن تصبح تطبيقات 32 بت شيئًا من الماضي.

ومع ذلك ، في محاولة لتسريع العملية ، يمكن لجوجل قريبًا تنفيذ تغيير جديد في أندرويد يحذر المستخدمين عند تشغيل تطبيقات 32 بت على أنظمة 64 بت.

ستخبر رسالة التحذير المستخدمين أن:

“التطبيق يحتاج إلى تحديث بواسطة مطوره لتحسين التوافق” .

وتحثهم على التحقق من التحديثات أو الاتصال بالمطور.

تكمن الفكرة وراء هذه الخطوة في مطالبة المطورين بإنشاء إصدارات 64 بت من تطبيقاتهم .

لكن ليس لدينا حاليًا معلومات حول الوقت الذي قد تنفذ فيه جوجل هذا التغيير.

تجدر الإشارة إلى أن أندرويد يعرض بالفعل تحذيرًا مشابهًا .

وذلك عندما يحاول المستخدمون تشغيل تطبيقات لا تلبي الحد الأدنى من متطلبات targetSDK.

نفذت جوجل هذا التغيير في أندرويد 10 ، وتخطط الشركة الآن لتحديث الحد الأدنى من مستوى targetSDK المدعوم إلى 28.

مع المتطلبات المحدثة ، سيبدأ أندرويد في تحذير المستخدمين عندما يحاولون تشغيل التطبيقات التي تستهدف أندرويد 8.1 أوريو أو أقدم.

ومع ذلك ، فإن هذا التغيير لم يشق طريقه بعد إلى إصدارات أندرويد 13 الحالية.

نظرًا لأن ARM تخطط لإسقاط الدعم لتطبيقات 32 بت من وحدات المعالجة المركزية المحمولة المستقبلية بدءًا من العام المقبل .

فقد يجبر التحذير المطورين على تحديث تطبيقاتهم في الوقت المناسب لهذا التغيير.

للغير مدركين ، يدعم أندرويد حاليًا تطبيقات 32 بت و 64 بت.

نتيجة لذلك ، يتعين على المطورين الاحتفاظ ببرنامجين ثنائيين لتطبيقاتهم ويجب أن يقدم ARM وحدات المعالجة المركزية التي تتميز بدعم 32 بت القديم.

نظرًا لأن معالجات 64 بت هي بطبيعتها أكثر قدرة من معالجات 32 بت ، فمن المنطقي أن يتبنى النظام البيئي ككل هذا التغيير.

تحولت ابل إلى دعم 64 بت فقط مع نظام التشغيل iOS 11 مرة أخرى في عام 2017 ، وقد حان الوقت لأن يتبع أندرويد هذا الدعم.